"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FiltersContainer = void 0;
var react_1 = __importStar(require("react"));
var CloseBtn_1 = require("../../../CloseBtn");
var Modal_1 = require("../../../Modal");
var ScreenMedia_1 = require("../../../ScreenMedia");
var PageListingContext_1 = require("../PageListingContext");
var S = __importStar(require("./FiltersContainer.style"));
function FiltersContainer() {
    var context = react_1.useContext(PageListingContext_1.PageListingContext);
    return react_1.default.createElement(FiltersComponent, __assign({}, context));
}
exports.FiltersContainer = FiltersContainer;
var FiltersComponent = function FiltersComponent(props) {
    return (react_1.default.createElement(S.FiltersContainerStyle, null,
        react_1.default.createElement(FiltersDesktop, { FiltersComponent: props.FiltersComponent, handleFilters: props.handleFilters, clearFilters: props.clearFilters, filters: props.filters }),
        react_1.default.createElement(FiltersMobile, { FiltersComponent: props.FiltersComponent, handleFilters: props.handleFiltersMobile, clearFilters: props.clearFiltersMobile, closeFilters: props.closeFilters, applyFilters: props.applyFilters, filters: props.filters, filterMobileOpen: props.filterMobileOpen })));
};
var FiltersDesktop = function FiltersDesktop(props) {
    var FiltersComponent = props.FiltersComponent;
    return (react_1.default.createElement(ScreenMedia_1.ScreenMedia, { showIn: "desktop" },
        react_1.default.createElement("div", { className: "filters" },
            react_1.default.createElement("div", { className: "filters-title" },
                "Filtrar",
                react_1.default.createElement("div", { className: "clear-filters", onClick: props.clearFilters, "data-cy": "clear-desktop-filters" }, "LIMPAR")),
            react_1.default.createElement("div", { className: "filters-content", "data-cy": "desktop-filters" },
                react_1.default.createElement(FiltersComponent, { handleFilters: props.handleFilters, filters: props.filters })))));
};
function FiltersMobile(_a) {
    var clearFilters = _a.clearFilters, filterMobileOpen = _a.filterMobileOpen, FiltersComponent = _a.FiltersComponent, closeFilters = _a.closeFilters, applyFilters = _a.applyFilters, handleFilters = _a.handleFilters, filters = _a.filters;
    return (react_1.default.createElement(ScreenMedia_1.ScreenMedia, { size: "mobile" },
        react_1.default.createElement(Modal_1.Modal, { show: filterMobileOpen, animation: "slideDown" },
            react_1.default.createElement(S.FiltersMobileStyle, null,
                react_1.default.createElement("div", { className: "filters-title" },
                    "Filtrar",
                    react_1.default.createElement("div", { className: "clear-filters text-primary", onClick: clearFilters, "data-cy": "clear-mobile-filters" }, "LIMPAR FILTROS"),
                    react_1.default.createElement("div", { className: "close-btn", onClick: closeFilters },
                        react_1.default.createElement(CloseBtn_1.CloseBtn, null))),
                react_1.default.createElement("div", { className: "filters-body" },
                    react_1.default.createElement(FiltersComponent, { handleFilters: handleFilters, filters: filters })),
                react_1.default.createElement("div", { className: "filters-btn", "data-cy": "btn-mobile-filters" },
                    react_1.default.createElement("button", { className: "btn btn-primary", onClick: applyFilters, type: "button" }, "Filtrar"))))));
}
//# sourceMappingURL=FiltersContainer.js.map